Bug 1441846 - Improvements to timer randomization
Summary: Improvements to timer randomization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: certbot
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 21:32 UTC by Göran Uddeborg
Modified: 2017-09-30 06:24 UTC (History)
7 users (show)

Fixed In Version: certbot-0.18.1-1.fc26 certbot-0.18.1-1.fc25 certbot-0.18.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 23:22:48 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2017-04-12 21:32:04 UTC
Description of problem:
Looking in my logs, I noticed the certbot-renew job was run at almost the same time each day.  It varied a little, but nowhere near what I expected.

Reading the documentation once more, I realize my comment in bug 1377312 may not have been too bright.  The current certbot-renew.timer file says AccuracySec=6hours.  But to achieve randomization to help reduce the load on the servers, what we need probably is RandomizedDelaySec instead.


Version-Release number of selected component (if applicable):
certbot-0.12.0-4.fc25.noarch


Additional info:
Besides, the file /usr/share/doc/certbot/README.fedora still says the timer will run monthly, not daily as is the case currently.

Comment 1 Fedora Update System 2017-04-20 14:50:47 UTC
python-acme-0.13.0-1.fc25 certbot-0.13.0-1.fc25 python-certbot-apache-0.13.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-91fabaa499

Comment 2 Fedora Update System 2017-04-20 14:51:16 UTC
python-acme-0.13.0-1.fc24 certbot-0.13.0-1.fc24 python-certbot-apache-0.13.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe1c987440

Comment 3 Fedora Update System 2017-04-20 14:51:37 UTC
python-acme-0.13.0-1.el7 certbot-0.13.0-1.el7 python-certbot-apache-0.13.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e5138e4f7d

Comment 4 Fedora Update System 2017-04-20 14:51:57 UTC
python-acme-0.13.0-1.fc26 certbot-0.13.0-1.fc26 python-certbot-apache-0.13.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e7564721b

Comment 5 Fedora Update System 2017-04-22 21:47:33 UTC
certbot-0.13.0-1.el7, python-acme-0.13.0-1.el7, python-certbot-apache-0.13.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e5138e4f7d

Comment 6 Fedora Update System 2017-04-23 17:20:00 UTC
certbot-0.13.0-1.fc25, python-acme-0.13.0-1.fc25, python-certbot-apache-0.13.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-91fabaa499

Comment 7 Fedora Update System 2017-04-23 20:23:09 UTC
certbot-0.13.0-1.fc26, python-acme-0.13.0-1.fc26, python-certbot-apache-0.13.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e7564721b

Comment 8 nucleo 2017-04-23 22:10:51 UTC
There is WantedBy=timer.target in /usr/lib/systemd/system/certbot-renew.timer
Should it be timers.target as in other units?

Comment 9 James Hogarth 2017-04-28 15:09:09 UTC
(In reply to nucleo from comment #8)
> There is WantedBy=timer.target in /usr/lib/systemd/system/certbot-renew.timer
> Should it be timers.target as in other units?

Err .... oops ... 

Thanks for catching that - refreshing the builds

Comment 10 Fedora Update System 2017-04-30 11:28:11 UTC
certbot-0.13.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e7564721b

Comment 11 Fedora Update System 2017-04-30 11:29:55 UTC
certbot-0.13.0-2.fc26 python-acme-0.13.0-1.fc26 python-certbot-apache-0.13.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64270716a0

Comment 12 Fedora Update System 2017-04-30 11:31:32 UTC
certbot-0.13.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e5138e4f7d

Comment 13 Fedora Update System 2017-04-30 11:32:22 UTC
certbot-0.13.0-2.el7 python-acme-0.13.0-1.el7 python-certbot-apache-0.13.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acdfbe8cfa

Comment 14 Fedora Update System 2017-04-30 11:33:48 UTC
certbot-0.13.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-91fabaa499

Comment 15 Fedora Update System 2017-04-30 11:34:49 UTC
certbot-0.13.0-2.fc25 python-acme-0.13.0-1.fc25 python-certbot-apache-0.13.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1071b956e

Comment 16 Fedora Update System 2017-04-30 11:36:22 UTC
certbot-0.13.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe1c987440

Comment 17 Fedora Update System 2017-04-30 11:37:11 UTC
certbot-0.13.0-2.fc24 python-acme-0.13.0-1.fc24 python-certbot-apache-0.13.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c651872919

Comment 18 Fedora Update System 2017-04-30 22:19:10 UTC
certbot-0.13.0-2.el7, python-acme-0.13.0-1.el7, python-certbot-apache-0.13.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acdfbe8cfa

Comment 19 Fedora Update System 2017-04-30 22:52:19 UTC
certbot-0.13.0-2.fc24, python-acme-0.13.0-1.fc24, python-certbot-apache-0.13.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c651872919

Comment 20 Fedora Update System 2017-04-30 23:21:16 UTC
certbot-0.13.0-2.fc25, python-acme-0.13.0-1.fc25, python-certbot-apache-0.13.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1071b956e

Comment 21 Fedora Update System 2017-05-01 00:52:02 UTC
certbot-0.13.0-2.fc26, python-acme-0.13.0-1.fc26, python-certbot-apache-0.13.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64270716a0

Comment 22 Fedora Update System 2017-05-17 11:31:04 UTC
certbot-0.14.1-2.fc26 python-acme-0.14.1-1.fc26 python-certbot-apache-0.14.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64270716a0

Comment 23 Fedora Update System 2017-05-17 11:34:16 UTC
certbot-0.14.1-2.fc25 python-acme-0.14.1-1.fc25 python-certbot-apache-0.14.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1071b956e

Comment 24 Fedora Update System 2017-05-17 11:36:48 UTC
certbot-0.14.1-2.fc24 python-acme-0.14.1-1.fc24 python-certbot-apache-0.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c651872919

Comment 25 Fedora Update System 2017-05-17 11:38:52 UTC
certbot-0.14.1-2.el7 python-acme-0.14.1-1.el7 python-certbot-apache-0.14.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acdfbe8cfa

Comment 26 Fedora Update System 2017-05-17 19:07:00 UTC
certbot-0.14.1-2.fc26, python-acme-0.14.1-1.fc26, python-certbot-apache-0.14.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64270716a0

Comment 27 Fedora Update System 2017-05-17 21:30:23 UTC
certbot-0.14.1-2.el7, python-acme-0.14.1-1.el7, python-certbot-apache-0.14.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acdfbe8cfa

Comment 28 Fedora Update System 2017-05-17 23:06:52 UTC
certbot-0.14.1-2.fc24, python-acme-0.14.1-1.fc24, python-certbot-apache-0.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c651872919

Comment 29 Fedora Update System 2017-05-17 23:11:23 UTC
certbot-0.14.1-2.fc25, python-acme-0.14.1-1.fc25, python-certbot-apache-0.14.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1071b956e

Comment 30 Fedora Update System 2017-05-19 16:57:52 UTC
certbot-0.14.1-3.el7 python-acme-0.14.1-1.el7 python-certbot-apache-0.14.1-1.el7 python-certbot-nginx-0.14.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acdfbe8cfa

Comment 31 Fedora Update System 2017-05-19 17:00:09 UTC
certbot-0.14.1-3.fc26 python-acme-0.14.1-1.fc26 python-certbot-apache-0.14.1-1.fc26 python-certbot-nginx-0.14.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64270716a0

Comment 32 Fedora Update System 2017-05-19 17:02:22 UTC
certbot-0.14.1-3.fc24 python-acme-0.14.1-1.fc24 python-certbot-apache-0.14.1-1.fc24 python-certbot-nginx-0.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c651872919

Comment 33 Fedora Update System 2017-05-19 17:03:28 UTC
certbot-0.14.1-3.fc25 python-acme-0.14.1-1.fc25 python-certbot-apache-0.14.1-1.fc25 python-certbot-nginx-0.14.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1071b956e

Comment 34 Fedora Update System 2017-05-20 08:16:20 UTC
certbot-0.14.1-3.fc26, python-acme-0.14.1-1.fc26, python-certbot-apache-0.14.1-1.fc26, python-certbot-nginx-0.14.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64270716a0

Comment 35 Fedora Update System 2017-05-20 14:31:08 UTC
certbot-0.14.1-3.fc24, python-acme-0.14.1-1.fc24, python-certbot-apache-0.14.1-1.fc24, python-certbot-nginx-0.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c651872919

Comment 36 Fedora Update System 2017-05-20 21:02:22 UTC
certbot-0.14.1-3.el7, python-acme-0.14.1-1.el7, python-certbot-apache-0.14.1-1.el7, python-certbot-nginx-0.14.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acdfbe8cfa

Comment 37 Fedora Update System 2017-05-20 22:31:28 UTC
certbot-0.14.1-3.fc25, python-acme-0.14.1-1.fc25, python-certbot-apache-0.14.1-1.fc25, python-certbot-nginx-0.14.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1071b956e

Comment 38 Fedora Update System 2017-05-30 21:26:28 UTC
certbot-0.14.1-3.fc24, python-acme-0.14.1-1.fc24, python-certbot-apache-0.14.1-1.fc24, python-certbot-nginx-0.14.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2017-05-31 09:02:18 UTC
certbot-0.14.1-3.fc25, python-acme-0.14.1-1.fc25, python-certbot-apache-0.14.1-1.fc25, python-certbot-nginx-0.14.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2017-06-06 06:24:27 UTC
certbot-0.14.1-3.el7, python-acme-0.14.1-1.el7, python-certbot-apache-0.14.1-1.el7, python-certbot-nginx-0.14.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2017-06-09 18:51:39 UTC
certbot-0.14.1-3.fc26, python-acme-0.14.1-1.fc26, python-certbot-apache-0.14.1-1.fc26, python-certbot-nginx-0.14.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Göran Uddeborg 2017-07-05 21:12:42 UTC
All branches are pushed to stable, and the fix is working.  Is anything keeping this bugzilla from being closed?

Comment 43 Fedora Update System 2017-09-11 19:17:35 UTC
python-certbot-apache-0.18.1-1.fc26 certbot-0.18.1-1.fc26 python-acme-0.18.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fff074b788

Comment 44 Fedora Update System 2017-09-11 19:18:00 UTC
certbot-0.18.1-1.fc27 python-acme-0.18.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cf7827abb

Comment 45 Fedora Update System 2017-09-11 20:01:52 UTC
python-certbot-nginx-0.18.1-1.fc25 python-certbot-apache-0.18.1-1.fc25 certbot-0.18.1-1.fc25 python-acme-0.18.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-040768d23e

Comment 46 Fedora Update System 2017-09-11 21:57:11 UTC
certbot-0.18.1-1.fc27, python-acme-0.18.1-1.fc27, python-certbot-apache-0.18.1-1.fc27, python-certbot-nginx-0.18.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cf7827abb

Comment 47 Fedora Update System 2017-09-12 01:24:04 UTC
certbot-0.18.1-1.fc26, python-acme-0.18.1-1.fc26, python-certbot-apache-0.18.1-1.fc26, python-certbot-nginx-0.18.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fff074b788

Comment 48 Fedora Update System 2017-09-12 02:21:31 UTC
certbot-0.18.1-1.fc25, python-acme-0.18.1-1.fc25, python-certbot-apache-0.18.1-1.fc25, python-certbot-nginx-0.18.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-040768d23e

Comment 49 Fedora Update System 2017-09-19 23:22:48 UTC
certbot-0.18.1-1.fc26, python-acme-0.18.1-1.fc26, python-certbot-apache-0.18.1-1.fc26, python-certbot-nginx-0.18.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 50 Fedora Update System 2017-09-20 10:22:53 UTC
certbot-0.18.1-1.fc25, python-acme-0.18.1-1.fc25, python-certbot-apache-0.18.1-1.fc25, python-certbot-nginx-0.18.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 51 Fedora Update System 2017-09-30 06:24:05 UTC
certbot-0.18.1-1.fc27, python-acme-0.18.1-1.fc27, python-certbot-apache-0.18.1-1.fc27, python-certbot-nginx-0.18.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.